Update settings

This changes the current settings for the Billogram business account.

Sub-structures that do not need modification can be left out of the object, or be set to null.

Body·
required
application/json

The settings object lets a client application modify global values for a Billogram business account. These settings are also available on the web interface; most applications may never need to use the settings object.

  • address
    Type: object ·

    Business address data sub-structure. Postal address to reach your company.

  • bookkeeping
    Type: object ·

    Bookkeeping configuration sub-structure. Configuration data used in generation of the bookkeeping files available from Billogram.

  • company_id
    Type: string

    Company identifier for the business account.

  • contact
    Type: object ·

    Business contact data sub-structure. Contact information from Billogram to the business. Not used on invoices.

  • invoice_address
    Type: object ·

    Invoice address data sub-structure. Used when the creditor wish to receive invoices from Billogram (by using the service) to an address other than the default creditor address (email or physical).

  • invoices
    Type: object ·

    Invoice defaults sub-structure. Default values for invoice creation, these can be overridden on individual invoices when required.

  • name
    Type: string

    Name of the business managing the business account (company name). Displayed on all invoices sent from the account.

    Changes need to be verified via email that will be sent out to the main user (most likely the same as registration_email)

  • payment
    Type: object ·

    Payment data sub-structure. Holds the information required for Billogram to transfer received funds from paid invoices to the invoicing business.

    Only one of the three methods (bankgiro, plusgiro, domestic_bank_account) need to be specified. The international_bank_account must be specified to allow for international invoicing.

    Changes need to be verified via email that will be sent out to the main user (most likely the same as registration_email) or the user requesting the change, if the change request is being done via a "partner-API integration".

  • registered_office_address
    Type: object ·

    Registered office address (Säte) data sub-structure. Used when the creditor has multiple addresses and want to specify a dedicated registered office address (säte). The registered office address will show at the bottom of the PDF document instead of the default creditor address, but it will not affect the default address otherwise.

  • registration_email
    Type: stringFormat: email

    Email address of main contact at the creditor.

  • return_address
    Type: object ·

    Return address data sub-structure. Used when the creditor has multiple addresses and want to specify a dedicated return address. The return address will show at the top of the PDF document instead of the default creditor address, but it will not affect the default address otherwise.

  • tax
    Type: object ·

    Tax data sub-structure. Information required for taxation purposes.

The settings object lets a client application modify global values for a Billogram business account. These settings are also available on the web interface; most applications may never need to use the settings object.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/settings
curl https://sandbox.billogram.com/api/v2/settings \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "contact": {
    "email": "newemail@example.com"
  }
}'
{
  "status": "OK",
  "data": {
    "name": "Testbolaget AB",
    "org_no": "848484-2326",
    "company_id": "",
    "registration_email": "contact@example.com",
    "contact": {
      "name": "Sonja",
      "email": "billing@example.com",
      "phone": "",
      "www": ""
    },
    "address": {
      "street_address": "Långgatan 10",
      "careof": "",
      "zipcode": "23456",
      "city": "Exempelköping",
      "province": "",
      "country": "SE"
    },
    "invoice_address": {
      "street_address": "",
      "careof": "",
      "zipcode": "",
      "city": "",
      "province": "",
      "country": "",
      "email": ""
    },
    "registered_office_address": {
      "name": "",
      "street_address": "",
      "careof": "",
      "zipcode": "",
      "city": "",
      "province": "",
      "country": ""
    },
    "return_address": {
      "name": "",
      "street_address": "",
      "careof": "",
      "zipcode": "",
      "city": "",
      "province": "",
      "country": ""
    },
    "visiting_address": {
      "street_address": "",
      "careof": "",
      "zipcode": "",
      "city": "",
      "province": "",
      "country": ""
    },
    "payment": {
      "bankgiro": "1234-5678",
      "plusgiro": "",
      "domestic_bank_account": {
        "account_no": "",
        "clearing_no": ""
      },
      "international_bank_account": {
        "bank": "",
        "iban": "",
        "bic": "",
        "swift": ""
      }
    },
    "tax": {
      "is_vat_registered": true,
      "has_fskatt": true,
      "vat_no": ""
    },
    "bookkeeping": {
      "income_account_for_vat_25": "3001",
      "income_account_for_vat_12": "3002",
      "income_account_for_vat_6": "3003",
      "income_account_for_vat_0": "3004",
      "reversed_vat_account": "3231",
      "vat_account_for_vat_25": "2610",
      "vat_account_for_vat_12": "2620",
      "vat_account_for_vat_6": "2630",
      "sie_serie": "AA",
      "sie_continuous_numbering": "monthly",
      "financial_year_start": "2017-05",
      "financial_year_months": 3,
      "account_receivable_account": "1500",
      "client_funds_account": "1940",
      "banking_account": "1920",
      "interest_fee_account": "8313",
      "reminder_fee_account": "8313",
      "rounding_account": "3740",
      "factoring_receivable_account": "1512",
      "written_down_receivables_account": "1519",
      "expected_loss_account": "6352",
      "confirmed_loss_account": "6351",
      "debt_collection_funds_account": "1941",
      "liabilities_customers_account": "2420",
      "regional_sweden": {
        "rotavdrag_account": "1513"
      }
    },
    "invoices": {
      "default_message": "",
      "default_interest_rate": 8.5,
      "default_reminder_fee": 50,
      "default_invoice_fee": 0,
      "default_reminder_due_days": 0,
      "automatic_reminders": [],
      "automatic_reminders_minimum_principal_sum": 0,
      "automatic_writeoff": {
        "settings": null,
        "amount": null
      },
      "automatic_collection": null,
      "pdf": {
        "template": "unified"
      },
      "show_item_gross_prices": false,
      "show_customer_no": false,
      "show_new_account_notice": false,
      "use_automatic_reminders_partly_paid": true,
      "reminders_without_fee": []
    }
  }
}